import { HtmlTextParser } from './../ctrls/HtmlTextParser';
import Panel from "../views/Panel";
import { NetManager } from "../../libs/tw/manager/NetManager";
import { DataManager } from "../../libs/tw/manager/DataManager";
export default class RulePanel extends Panel {
    public ruleGroup:eui.Group;
    public ruleLb:eui.Label;

    public get skinKey() { return 'RulePanel' }
    // public get groupName() { return 'rule_panel' }

    constructor(data: any) {
        super(data);
    }

    onSkinComplete(): void {
        super.onSkinComplete();

        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
        this.showAct();
    }

    start(): void {
        this.percentHeight = 100;
    }

    initEvents(): void {
        super.initEvents();
    }

    removeEvents(): void {
        super.removeEvents();
    }

    private onLoad():void{
        // NetManager.ins.getRule(function(success){

        //     if(success){
        //         //使用 HtmlTextParser 解析html文本
        //         this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.getRuleData.ruleText);
        //     }else{
        //         this.ruleLb.text = '规则'
        //     }
        // }.bind(this));

        // this.ruleLb.textColor = 0x2c2a29;
        // this.ruleLb.stroke = 0;
        // this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.ajaxElementDataNew.rule);
        this.ruleLb.text = window['rule'] ? window['rule'] : `活动时间：
2020年1月1日-2020年3月31日
        
活动对象：
苏州银行手机银行签约客户
        
活动内容：
活动期间内，用户每天登录手机银行，进入活动页面点击“立即签到”按钮即可完成签到，签到获得的雪花可兑换超值大礼，完成任务可获得大额雪花。
        
活动规则：
1.签到周期为7天，周期结束后自动进入下一周期，若断签则回到第一天重新开始，获得的雪花每个自然月结束时清零；
2.签到第一天获得10雪花，连续签到第二天获得50雪花；连续签到第三天获得10雪花；连续签到第四天获得80雪花；连续签到第五天获得10雪花；连续签到第六天获得10雪花；连续签到第七天获得130雪花；每次分享可再获得15雪花。
3.签到周期内，可通过完成指定任务获得大额雪花，任务每月更新，且雪花数量清零；
4.兑换说明：签到累计一定雪花后，可兑换相应的奖品，每个奖品仅可兑换一次，奖品兑完即止，先到先得；
5.领奖说明：中奖用户请根据中奖页面提示录入对应兑奖信息，实物奖品需在24小时内点击奖品详情页“立即领取”按钮领取，24小时内未领取，奖品将过期，视为主动放弃领奖资格。虚拟票券类奖品需在活动截止日期前领取，活动时间内未领取，奖品将过期，视为主动放弃领奖资格。具体兑换信息以奖品详情页为准，实物商品将在客户领取成功后15个工作日内发出；
6.活动奖品由第三方公司提供，如有疑问，可直接联系客服专线：400-090-0208（工作日9:00至18:00），如需第三方联系您，请注意接听客服外呼专线：95184217或（0571）95184217；
7.用户如果违反诚实守信原则或出现违规行为（包括但不限于侵犯第三人合法权益、作弊、扰乱系统、实施网络攻击、恶意套取、批量注册、用机器注册账户、用机器模拟客户端等方式），一经发现我行有权终止该用户参与活动并取消其领奖资格；
8.活动中如有突发事件，苏州银行将调整活动时间和奖品设置，并及时以活动公告的形式告知用户；
9.本活动与苹果公司无关。`;
    }

    
}